Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.basic
Class BasicTitledPanelUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.PanelUI
              org.jdesktop.swingx.plaf.TitledPanelUI
                  org.jdesktop.swingx.plaf.basic.BasicTitledPanelUI

    public class BasicTitledPanelUI

extends TitledPanelUI

All TitledPanels contain a title section and a content section. The default implementation for the title section relies on a Gradient background. All title sections can have components embedded to the "left" or "right" of the Title.

Author:
  Richard Bair, Jeanette Winzenburg, rah003

Field Summary
`protected javax.swing.JLabel` | `caption` JLabel used for the title in the Title section of the JTitledPanel.
`protected javax.swing.JComponent` | `left`
`protected javax.swing.JComponent` | `right`
`protected java.beans.PropertyChangeListener` | `titleChangeListener` Listens to changes in the title of the JXTitledPanel component
`protected JXPanel` | `topPanel` The Title section panel.

Constructor Summary
`BasicTitledPanelUI()` Creates a new instance of BasicTitledPanelUI

Method Summary
`protected javax.swing.JLabel` | `createAndConfigureCaption(JXTitledPanel titledPanel)`
`protected JXPanel` | `createAndConfigureTopPanel(JXTitledPanel titledPanel)`
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent c)` Returns an instance of the UI delegate for the specified component.
`protected java.awt.Insets` | `getCaptionInsets()`
`javax.swing.JComponent` | `getLeftDecoration()`
`javax.swing.JComponent` | `getRightDecoration()`
`java.awt.Container` | `getTitleBar()`
`protected void` | `installComponents(JXTitledPanel titledPanel)`
`protected void` | `installDefaults(JXTitledPanel titledPanel)`
`protected void` | `installListeners(JXTitledPanel titledPanel)`
`protected void` | `installProperty(javax.swing.JComponent c, java.lang.String propName, java.lang.Object value)`
`void` | `installUI(javax.swing.JComponent c)` Configures the specified component appropriate for the look and feel.
`void` | `paint(java.awt.Graphics g, javax.swing.JComponent c)` Paints the specified component appropriate for the look and feel.
`void` | `setLeftDecoration(javax.swing.JComponent decoration)` Adds the given JComponent as a decoration on the left of the title
`void` | `setRightDecoration(javax.swing.JComponent decoration)` Adds the given JComponent as a decoration on the right of the title
`protected void` | `uninstallComponents(JXTitledPanel titledPanel)`
`protected void` | `uninstallDefaults(JXTitledPanel titledPanel)`
`protected void` | `uninstallListeners(JXTitledPanel titledPanel)`
`void` | `uninstallUI(javax.swing.JComponent c)` Reverses configuration which was done on the specified component during `installUI`.

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### caption

    protected javax.swing.JLabel caption

  JLabel used for the title in the Title section of the JTitledPanel.

### topPanel

    protected JXPanel topPanel

  The Title section panel.

### titleChangeListener

    protected java.beans.PropertyChangeListener titleChangeListener

  Listens to changes in the title of the JXTitledPanel component

### left

    protected javax.swing.JComponent left

### right

    protected javax.swing.JComponent right

Constructor Detail

### BasicTitledPanelUI

    public BasicTitledPanelUI()

  Creates a new instance of BasicTitledPanelUI

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

  Returns an instance of the UI delegate for the specified component. Each subclass must provide its own static `createUI` method that returns an instance of that UI delegate subclass. If the UI delegate subclass is stateless, it may return an instance that is shared by multiple components. If the UI delegate is stateful, then it should return a new instance per component. The default implementation of this method throws an error, as it should never be invoked.

### installUI

    public void installUI(javax.swing.JComponent c)

  Configures the specified component appropriate for the look and feel. This method is invoked when the `ComponentUI` instance is being installed as the UI delegate on the specified component. This method should completely configure the component for the look and feel, including the following:
  1. Install any default property values for color, fonts, borders, icons, opacity, etc. on the component. Whenever possible, property values initialized by the client program should not be overridden.
  2. Install a `LayoutManager` on the component if necessary.
  3. Create/add any required sub-components to the component.
  4. Create/install event listeners on the component.
  5. Create/install a `PropertyChangeListener` on the component in order to detect and respond to component property changes appropriately.
  6. Install keyboard UI (mnemonics, traversal, etc.) on the component.
  7. Initialize any appropriate instance data.

  Overrides:
    `installUI` in class `javax.swing.plaf.ComponentUI`
  Parameters:
    `c` - the component where this UI delegate is being installed
  See Also:
    `uninstallUI(javax.swing.JComponent)`, `JComponent.setUI(javax.swing.plaf.ComponentUI)`, `JComponent.updateUI()`

### installDefaults

    protected void installDefaults(JXTitledPanel titledPanel)

### uninstallDefaults

    protected void uninstallDefaults(JXTitledPanel titledPanel)

### installComponents

    protected void installComponents(JXTitledPanel titledPanel)

### uninstallComponents

    protected void uninstallComponents(JXTitledPanel titledPanel)

### getCaptionInsets

    protected java.awt.Insets getCaptionInsets()

### createAndConfigureTopPanel

    protected JXPanel createAndConfigureTopPanel(JXTitledPanel titledPanel)

### createAndConfigureCaption

    protected javax.swing.JLabel createAndConfigureCaption(JXTitledPanel titledPanel)

### uninstallUI

    public void uninstallUI(javax.swing.JComponent c)

  Reverses configuration which was done on the specified component during `installUI`. This method is invoked when this `UIComponent` instance is being removed as the UI delegate for the specified component. This method should undo the configuration performed in `installUI`, being careful to leave the `JComponent` instance in a clean state (no extraneous listeners, look-and-feel-specific property objects, etc.). This should include the following:
  1. Remove any UI-set borders from the component.
  2. Remove any UI-set layout managers on the component.
  3. Remove any UI-added sub-components from the component.
  4. Remove any UI-added event/property listeners from the component.
  5. Remove any UI-installed keyboard UI from the component.
  6. Nullify any allocated instance data objects to allow for GC.

  Overrides:
    `uninstallUI` in class `javax.swing.plaf.ComponentUI`
  Parameters:
    `c` - the component from which this UI delegate is being removed; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
  See Also:
    `installUI(javax.swing.JComponent)`, `JComponent.updateUI()`

### installListeners

    protected void installListeners(JXTitledPanel titledPanel)

### uninstallListeners

    protected void uninstallListeners(JXTitledPanel titledPanel)

### installProperty

    protected void installProperty(javax.swing.JComponent c,
                                   java.lang.String propName,
                                   java.lang.Object value)

### paint

    public void paint(java.awt.Graphics g,
                      javax.swing.JComponent c)

  Paints the specified component appropriate for the look and feel. This method is invoked from the `ComponentUI.update` method when the specified component is being painted. Subclasses should override this method and use the specified `Graphics` object to render the content of the component.

  PENDING JW: we don't need this, do we - remove!

  Overrides:
    `paint` in class `javax.swing.plaf.ComponentUI`
  Parameters:
    `g` - the `Graphics` context in which to paint
    `c` - the component being painted; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
  See Also:
    `ComponentUI.update(java.awt.Graphics, javax.swing.JComponent)`

### setRightDecoration

    public void setRightDecoration(javax.swing.JComponent decoration)

  Adds the given JComponent as a decoration on the right of the title

  Specified by:
    `setRightDecoration` in class `TitledPanelUI`
  Parameters:
    `decoration` -

### getRightDecoration

    public javax.swing.JComponent getRightDecoration()

  Specified by:
    `getRightDecoration` in class `TitledPanelUI`

### setLeftDecoration

    public void setLeftDecoration(javax.swing.JComponent decoration)

  Adds the given JComponent as a decoration on the left of the title

  Specified by:
    `setLeftDecoration` in class `TitledPanelUI`
  Parameters:
    `decoration` -

### getLeftDecoration

    public javax.swing.JComponent getLeftDecoration()

  Specified by:
    `getLeftDecoration` in class `TitledPanelUI`

### getTitleBar

    public java.awt.Container getTitleBar()

  Specified by:
    `getTitleBar` in class `TitledPanelUI`
  Returns:
    the Container acting as the title bar for this component

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.